Bug 57776 - rpm-spec-mode redefines C-u
Summary: rpm-spec-mode redefines C-u
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-21 22:27 UTC by Tom Tromey
Modified: 2014-08-11 05:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-21 22:27:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Tromey 2001-12-21 22:27:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.16 i686)

Description of problem:
Today I edited a .spec file using GNU Emacs 20.7.1.
I found out that rpm-spec-mode redefines C-u to be a prefix command,
and then binds C-u C-c TAB to `rpm-change-tag'.
The Emacs standard is that major modes can only put new bindings
on "C-c FOO", where FOO is itself a control character (in particular
"C-c LETTER" is reserved for the user).
C-u is globally bound to universal-argument.  I use it all the time.
Rebinding it in this way is, I believe, incorrect.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run Emacs
2. C-x C-f /tmp/foo.spec
3. C-u n   should insert 4 "n"s, but instead beeps

	

Additional info:

Comment 1 Trond Eivind Glomsrxd 2002-01-09 00:56:52 UTC
Works fine with emacs-21.1-2.7


Note You need to log in before you can comment on or make changes to this bug.